function exhaust(no)

switch no
	case 1,
		rl = 10:5:200;
	case 2,    
		rl = 210:5:400;
	case 3,
		rl = 410:5:600;
	case 4,
		rl = 610:5:800;
end;

sn = ['exhaustpower' num2str(no) '.mat'];

RL = rl
tq = {};

for i = 1:length(RL(:))
disp([ num2str(i) ' out of ' num2str(length(RL(:)))]); 
tq{i} = wavetorque([RL(i)],'~/wavesim/fbr_dan_engine/l345shortintake.wvm',num2str(no));
end;
save(['~/' sn],'tq','RL');

return;

%a = load('~/intakedatabigpv1.mat');
%a.tq = [a.tq{:}];
%a.rpm = cat(1,a.tq.rpm);
%a.rpm = reshape(a.rpm,[size(a.RL) size(a.rpm,2)]);
%a.t = cat(1,a.tq.tq);
%a.t = reshape(a.t,[size(a.RL) size(a.t,2)]);
%f1 = a;;
%
%a = load('~/intakedatabigpv2.mat');
%a.tq = [a.tq{:}];
%a.rpm = cat(1,a.tq.rpm);
%a.rpm = reshape(a.rpm,[size(a.RL) size(a.rpm,2)]);
%a.t = cat(1,a.tq.tq);
%a.t = reshape(a.t,[size(a.RL) size(a.t,2)]);
%f2 = a;
%
%PV = repmat(f1.PV,[2 1]);
%RL = cat(1,f1.RL, f2.RL);
%rpm = cat(1,f1.rpm,f2.rpm);
%t = cat(1,f1.t,f2.t);
%PV = repmat(PV,[1 1 size(rpm,3)]);
%RL = repmat(RL,[1 1 size(rpm,3)]);
%
%save('~/intakedatabigpv.mat','PV','RL','rpm','t');
%
%a = load('~/intakedata.mat');
%b = load('~/intakedatabigpv.mat');
%RL=repmat(a.RL,[1 2]);
%PV=cat(2,a.PV,b.PV);
%rpm = cat(2,a.rpm,b.rpm);
%t = cat(2,a.t,b.t);
%
%save('~/intakebigdata.mat','PV','RL','rpm','t');
load('~/intakebigdata');

i = 3;
surf(RL(:,:,i),PV(:,:,i),t(:,:,i));

xlabel('Runner Length');
ylabel('Plenum Volume');
zlabel('Torque at revs');
title(num2str(rpm(1,1,i)));


figure(2)
hold all
h = {};
startrpm = 3;
endrpm = size(PV,3);
pvind = 1;
for i = startrpm:endrpm
	plot(RL(:,pvind,i),t(:,pvind,i));
	h{end+1} = num2str(rpm(1,pvind,i));
end;
setjet
mt = mean(t(:,pvind,startrpm:endrpm),3);
plot(squeeze(RL(:,pvind,1)),mt,'k-','LineWidth',2);
h{end+1} = 'Mean Torque';
legend(h);
xlabel('Runner Length');
ylabel('Torque');

%rl = 50:50:1000;
%
%pv = 0.2:0.2:3;
%[RL PV] = ndgrid(rl,pv);




%figure(1)
%clf
%hold all
%h = {};
%for i = 1:6
%plot(x,u(:,i));
%h{i} = num2str(10500-i*500);
%end;
%legend(h)
%xlabel('Primary Length (L3)');
%ylabel('Torque');
%title('Torque varying with primary exhaust runner length');
%print('-f1','-depsc2','torquevsprimary.eps');
