function wavesplit(infile)
field_name = 'SPEED[rpm]';
path = fileparts(infile);


fid = fopen(infile);
C = {};
i = 1;
aline = fgetl(fid);
while ischar(aline)
C{i} = aline;
i = i+1;
aline = fgetl(fid);
end;
fclose(fid);


data = {};

for j = 1:length(C)
data{j} = regexp(C{j},'\t','split');
if strcmp(data{j}{1},field_name)
relevant_field = j;
end;
end;

%Sort relevant field
[order index] =  sort(str2num(char(data{relevant_field}{2:end})));
dataparam = data{relevant_field};
data(relevant_field) = [];

for j = 1:length(data)
fn = [path '/' data{j}{1} '.txt'];
dfile = fopen(fn,'w');
write_header(dfile)
for k = 2:length(data{j})
fprintf(dfile,[dataparam{index(k-1)+1} ' ']);
end;
fprintf(dfile,'# \n');

for k = 2:length(data{j})
fprintf(dfile,[data{j}{index(k-1)+1} ' ']);
end;
fprintf(dfile,'# \n');
fclose(dfile);
end;



function write_header(fid)
fprintf(fid,'FULL \n');
fprintf(fid,'1 # \n ');
return;
