function out = waveoptim(fn)

path = fileparts(fn);

lb = [50 50 50];% 50 50];
ub = [1000 1000 1000];% 1000 1000];

l0 = [50 50 50];% 50 50];

fn = @(x)torquefn([x(1) x(2) x(3)],fn,path);

opts = optimset('DiffMinChange',20,'DiffMaxChange',100);

[out fval] = fmincon(fn,l0,zeros(length(l0)),ones(size(l0)),[],[],lb,ub,[],opts);




function out = torquefn(in,fn,path)
fprintf('Trying Lengths:');
disp(in);
t = wavetorque(in,fn,path);
out = -sum(t.tq);
disp(t.rpm);
disp(t.tq);
return;


